#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | tr -d '-')
#-----------------------------------------------------------------------------
Name		:	clutter-gtk
Version		:	1.8.4
Release		:	16.2.0.rel%{?dist}
Summary		:	Library providing facilities to integrate Clutter into GTK+
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLV2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/clutter-gtk 

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	clutter-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
#-----------------------------------------------------------------------------
%description
Clutter-GTK is a library providing facilities to integrate Clutter into GTK+
applications and vice versa.

Clutter-GTK provides a GTK+ widget, GtkClutterEmbed, for embedding the
a Clutter stage into any GtkContainer; and GtkClutterActor, a Clutter
actor for embedding any GtkWidget inside a Clutter stage.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_includedir}/%{name}-1.0/%{name}/*.h
%{_libdir}/lib%{name}-1.0.so*
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/%{name}-1.0/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}-1.0/style.css
%{_datadir}/locale/*/LC_MESSAGES/%{sname}-1.0.mo

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
	$XORG_CONFIG					\
	--exec-prefix=%{_exec_prefix}			\
	--includedir=%{_includedir}			\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-gtk-doc				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog

